Loading...
Searching...
No Matches
Ogre::PCZSphereSceneQuery Class Reference

PCZ implementation of SphereSceneQuery. More...

`#include <OgrePCZSceneQuery.h>`

Inheritance diagram for Ogre::PCZSphereSceneQuery:
[legend]

## Public Member Functions

| PCZSphereSceneQuery (SceneManager *creator)
| ~PCZSphereSceneQuery ()
void | execute (SceneQueryListener *listener) override
| See SceneQuery.
void | setExcludeNode (SceneNode *excludeNode)
| set node to exclude from query
void | setStartZone (PCZone *startZone)
| set the zone to start the scene query
Public Member Functions inherited from Ogre::DefaultSphereSceneQuery
| DefaultSphereSceneQuery (SceneManager *creator)
| ~DefaultSphereSceneQuery ()
Public Member Functions inherited from Ogre::SphereSceneQuery
| SphereSceneQuery (SceneManager *mgr)
virtual | ~SphereSceneQuery ()
const Sphere & | getSphere () const
| Gets the sphere which is being used for this query.
void | setSphere (const Sphere &sphere)
| Sets the sphere which is to be used for this query.
Public Member Functions inherited from Ogre::RegionSceneQuery
| RegionSceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~RegionSceneQuery ()
void | clearResults (void)
| Clears the results of the last query execution.
virtual SceneQueryResult & | execute (void)
| Executes the query, returning the results back in one list.
const SceneQueryResult & | getLastResults (void) const
| Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.
bool | queryResult (MovableObject *first) override
| Self-callback in order to deal with execute which returns collection.
bool | queryResult (SceneQuery::WorldFragment *fragment) override
| Self-callback in order to deal with execute which returns collection.
Public Member Functions inherited from Ogre::SceneQuery
| SceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~SceneQuery ()
virtual uint32 | getQueryMask (void) const
| Returns the current mask for this query.
virtual uint32 | getQueryTypeMask (void) const
| Returns the current mask for this query.
virtual void | setQueryMask (uint32 mask)
| Sets the mask for results of this query.
virtual void | setQueryTypeMask (uint32 mask)
| Sets the type mask for results of this query.
Public Member Functions inherited from Ogre::SceneQueryListener
virtual | ~SceneQueryListener ()

## Additional Inherited Members

Public Types inherited from Ogre::SceneQuery
typedef Ogre::WorldFragment | WorldFragment

## Detailed Description

PCZ implementation of SphereSceneQuery.

## Constructor & Destructor Documentation

## PCZSphereSceneQuery()

Ogre::PCZSphereSceneQuery::PCZSphereSceneQuery | ( | SceneManager * | creator | ) |

## ~PCZSphereSceneQuery()

Ogre::PCZSphereSceneQuery::~PCZSphereSceneQuery | ( |  | ) |

## Member Function Documentation

## execute()

void Ogre::PCZSphereSceneQuery::execute | ( | SceneQueryListener * | listener | ) |

override virtual

See SceneQuery.

Reimplemented from Ogre::DefaultSphereSceneQuery.

## setStartZone()

void Ogre::PCZSphereSceneQuery::setStartZone | ( | PCZone * | startZone | ) |

inline

set the zone to start the scene query

## setExcludeNode()

void Ogre::PCZSphereSceneQuery::setExcludeNode | ( | SceneNode * | excludeNode | ) |

inline

set node to exclude from query

The documentation for this class was generated from the following file:

- OgrePCZSceneQuery.h